import { Construct } from 'constructs';
import * as k8s from './imports/k8s';
import { PlonePDBOptions } from './pdb';
export interface PloneFrontendDeploymentOptions {
    /**
     * Specify a custom image for Plone Frontend.
     * @default "plone/plone-frontend:latest"
     */
    readonly image?: string;
    /**
   * Number of replicas.
   * @default 2
   */
    readonly replicas?: number;
    /**
     * Port number.
     * @default 8080
     */
    readonly port?: number;
    /**
     * Extra labels to associate with resources.
     * @default - none
     */
    readonly labels?: {
        [name: string]: string;
    };
    /**
     * Extra container spec values to add to Plone container.
     * @default - []
     */
    readonly ploneContainer?: k8s.Container;
    /**
     * Sidecar container specs.
     * @default - []
     */
    readonly sidecarContainers?: k8s.Container[];
    /**
     * Create a PodDisruptionBugdet for the deployment?
     * If given
     * @default - none
     */
    readonly pdb?: PlonePDBOptions;
}
export declare class PloneFrontendDeployment extends Construct {
    constructor(scope: Construct, id: string, options?: PloneFrontendDeploymentOptions);
}
